LOGGEN(1)

NAME
loggen - Generate syslog messages at a specified rate

SYNOPSIS

loggen [options]target [port]

DESCRIPTION

NOTE: The loggen application is distributed with the syslog-ng system logging application, and is usually part of the syslog-ng package. The latest version of the syslog-ng application is available at the official syslog-ng website[1].

This manual page is only an abstract; for the complete documentation of syslog-ng, see The syslog-ng Administrator Guide[2].

The loggen application is tool to test and stress-test your syslog server and the connection to the server. It can send syslog messages to the server at a specified rate, using a number of connection types and protocols.

OPTIONS

--csv or -C
    Send statistics of the sent messages to stdout as CSV. This can be used for plotting the message rate.

--dgram or -D
    Use datagram socket (UDP or unix-dgram) to send the messages to the target.

--help or -h
    Display a brief help message.

--inet or -i
    Use the TCP (by default) or UDP (when used together with the --dgram option) protocol to send the messages to the target.

--interval <seconds> or -I <seconds>
    The number of seconds loggen will run. Default value: 10

--no-framing or -F
    Do not use the framing of the IETF-syslog protocol style, even if the syslog-proto option is set.

--rate <message/second> or -r <message/second>
    The number of messages generated per second. Default value: 1000

--read-file or -R
    Read the messages from a file and send them to the target. See also the --skip-tokens option.

--size or -s
    The size of a syslog message in bytes. Default value: 256

--skip-tokens
    Skip the specified number of space-separated tokens (words) at the beginning of every line. For example, if the messages in the file look like foo bar message, --skip-tokens 2 skips the foo bar part of the line, and sends only the message part. Works only when used together with the --read-file parameter.

--stream or -S
    Use a stream socket (TCP or unix-stream) to send the messages to the target.

--syslog-proto or -P
    Use the new IETF-syslog message format as specified in RFC5424. By default, loggen uses the legacy BSD-syslog message format (as described in RFC3164). See also the --no-framing option.

--unix or -x
    Use a UNIX domain socket to send the messages to the target.

--use-ssl or -U
    Use an SSL-encrypted channel to send the messages to the target. Note that it is not possible to check the certificate of the target, or to perform mutual authentication.

--verbose or -V
    Display the actual speed of sending messages in messages/second.

EXAMPLE

The following command generates 100 messages per second for ten minutes, and sends them to port 2010 of the localhost via TCP. Each message is 300 bytes long.

    loggen --size 300 --rate 100 --interval 600 127.0.0.1 2010

The following command is similar to the one above, but uses the UDP protocol.

    loggen --inet --dgram --size 300 --rate 100 --interval 600 127.0.0.1 2010

SEE ALSO

syslog-ng.conf(5)

The syslog-ng Administrator Guide[2]

If you experience any problems or need help with loggen or syslog-ng, visit the syslog-ng mailing list[3]

AUTHOR

This manual page was written by the BalaBit Documentation Team <documentation@balabit.com>.

COPYRIGHT

Copyright © 2000-2009 BalaBit IT Security Ltd. Published under the Creative Commons Attribution-Noncommercial-No Derivative Works (by-nc-nd) 3.0 license. See http://creativecommons.org/ for details. The latest version is always available at http://www.balabit.com/support/documentation.

NOTES

1.  official syslog-ng website
    http://www.balabit.com/network-security/syslog-ng/

2.  The syslog-ng Administrator Guide
    http://www.balabit.com/support/documentation/

3.  syslog-ng mailing list
    https://lists.balabit.hu/mailman/listinfo/syslog-ng